PLASMAENGINEEXPLO(1)

NAME
plasmaengineexplorer - Levert directe toegang tot plasma data-engines

SAMENVATTING

plasmaengineexplorer [--list] [--height pixels] [--width pixels] [-x pixels] [-y pixels] [--engine data-engine] [--source data-engine] [--interval ms] [--app toepassing]

plasmaengineexplorer [KDE algemene opties] [Qt algemene opties]

BESCHRIJVING

plasmaengineexplorer is een grafisch hulpmiddel die ontwikkelaars in staat stelt om Plasma data-engines te testen zonder het schrijven van een Plasma-applet.

Als er geen opties zijn gegeven, start het zonder een geselecteerde data-engine. De vereiste data-engine kan worden geselecteerd uit een afrollijst.

Alleen geïnstalleerde data-engines zullen worden gevonden. kbuildsycoca4 zou uitgevoerd moeten worden om nieuw geïnstalleerde data-engines te vinden.

OPTIES

--list pixels
    Laat een lijst van bekende engines zien en hun beschrijving.

--height
    Stel de hoogte van het venster in, in pixels.

--width pixels
    Stel de breedte van het venster in, in pixels.

-x pixels
    Stel de x (horizontale) coördinaat van de linksboven hoek van het venster in, in pixels.

-y pixels
    Stel de y (verticale) coördinaat van de linksboven hoek van het venster in, in pixels.

--engine data-engine
    Start plasmaengineexplorer met de gegeven geselecteerde data-engine. data-engine is de interne naam van de data-engine gegeven door het X-KDE-PluginInfo-Name-veld van het bureaubladbestand.

--source data-engine
    Alleen geldig in samenhang met --engine. Vereist een specifieke bron van de data-engine wanneer plasmaengineexplorer wordt gestart.

--interval tijd
    Stelt het standaard bijwerkinterval in voor vereiste bronnen op tijd milliseconden. Indien niet ingesteld, zal de bron op verzoek bijwerken (voor sommige bronnen is dit wanneer nieuwe data beschikbaar is).

    Als --source is gespecificeerd, dan is dit het bijwerkinterval dat zal worden gebruikt bij het aanvragen van die bron.

--app toepassing
    Toon alleen engines verbonden met de ouderapplicatie; komt overeen met het X-KDE-ParentApp-item in het DataEngine's .desktop bestand.

ZIE OOK

Meer gedetailleerde gebruikersdocumentatie is beschikbaar op help:/plasma-desktop (ofwel voer deze URL in in Konqueror of voer uit khelpcenter help:/plasma-desktop).

VOORBEELDEN

Laadt de tijd-data-engine, die de lokale tijd toont en elke seconde wordt bijgewerkt:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTEURS

plasmaengineexplorer is geschreven door Aaron Seigo aseigo@kde.org.